io.vertx.core

## Class Starter

- java.lang.Object
- - io.vertx.core.Starter

-     public class Starter
      extends Object

  A `main()` class that can be used to deploy verticles.

  This class is used by the `vertx` command line utility to deploy verticles from the command line.

  E.g.

  `vertx run myverticle.js`

  It can also be used as the main class of an executable jar so you can run verticles directly with:

  `java -jar myapp.jar`

  Author:
    Tim Fox

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEPLOYMENT_OPTIONS_PROP_PREFIX`
    `protected DeploymentOptions` | `deploymentOptions`
    `static String` | `METRICS_OPTIONS_PROP_PREFIX`
    `protected VertxOptions` | `options`
    `static List<String>` | `PROCESS_ARGS`
    `protected Vertx` | `vertx`
    `static String` | `VERTX_OPTIONS_PROP_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Starter()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `afterStartingVertx()` Hook for sub classes of `Starter` after the vertx instance is started.
    `protected void` | `beforeDeployingVerticle(DeploymentOptions deploymentOptions)` Hook for sub classes of `Starter` before the verticle is deployed.
    `protected void` | `beforeStartingVertx(VertxOptions options)` Hook for sub classes of `Starter` before the vertx instance is started.
    `void` | `block()`
    `String` | `getVersion()`
    `static void` | `main(String[] sargs)`
    `void` | `run(io.vertx.core.impl.Args args, String[] sargs)`
    `protected void` | `run(String commandLine)`
    `protected void` | `run(String[] sargs)`
    `static void` | `runCommandLine(String commandLine)`
    `void` | `unblock()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### VERTX_OPTIONS_PROP_PREFIX

          public static final String VERTX_OPTIONS_PROP_PREFIX

      See Also:
        Constant Field Values

    - #### DEPLOYMENT_OPTIONS_PROP_PREFIX

          public static final String DEPLOYMENT_OPTIONS_PROP_PREFIX

      See Also:
        Constant Field Values

    - #### METRICS_OPTIONS_PROP_PREFIX

          public static final String METRICS_OPTIONS_PROP_PREFIX

      See Also:
        Constant Field Values

    - #### PROCESS_ARGS

          public static List<String> PROCESS_ARGS

    - #### vertx

          protected Vertx vertx

    - #### options

          protected VertxOptions options

    - #### deploymentOptions

          protected DeploymentOptions deploymentOptions

  - ### Constructor Detail

    - #### Starter

          public Starter()

  - ### Method Detail

    - #### main

          public static void main(String[] sargs)

    - #### runCommandLine

          public static void runCommandLine(String commandLine)

    - #### run

          protected void run(String commandLine)

    - #### run

          protected void run(String[] sargs)

    - #### run

          public void run(io.vertx.core.impl.Args args,
                          String[] sargs)

    - #### block

          public void block()

    - #### unblock

          public void unblock()

    - #### beforeStartingVertx

          protected void beforeStartingVertx(VertxOptions options)

      Hook for sub classes of `Starter` before the vertx instance is started.

    - #### afterStartingVertx

          protected void afterStartingVertx()

      Hook for sub classes of `Starter` after the vertx instance is started.

    - #### beforeDeployingVerticle

          protected void beforeDeployingVerticle(DeploymentOptions deploymentOptions)

      Hook for sub classes of `Starter` before the verticle is deployed.

    - #### getVersion

          public String getVersion()

Copyright © 2015. All Rights Reserved.